package com.yihu.hos.system.dao.intf;

import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;
import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.system.model.SystemUser;
import com.yihu.hos.system.model.SystemUserRole;

import java.util.List;
import java.util.Map;

/**
 * Created by chenweida on 2016/1/19.
 */
public interface IUserDao extends XSQLGeneralDAO {

    Result getUserList(Map<String, Object> params) throws Exception;

    void activityUser(String useid, String flag) throws Exception;

    SystemUser getUserByLoginCode(String loginCode) throws Exception;

    void deleteUserRoleByUserId(String userId) throws Exception;

    List<SystemUserRole> getUserRoleByUserId(String userId) throws Exception;

}